package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF8C2 extends MwfRequest<MWF8C2, MWF8C2Response> {

    @Parameter(name = "AppKey")
    MWF8C2 appKey(Long appKey);
    @Parameter(name = "CIF")
    MWF8C2 cif(String cif);
    @Parameter(name = "InsuranceType")
    MWF8C2 insuranceType(String insuranceType);
    @Parameter(name = "LoanAmount")
    MWF8C2 loanAmount(Double loanAmount);
    @Parameter(name = "ProductCandidateKey")
    MWF8C2 productCandidateKey(Long productCandidateKey);
    @Parameter(name = "Term")
    MWF8C2 term(Long term);
}
